Bug 834539 - Default config URL for production server does not resolve
Default config URL for production server does not resolve
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 05:44 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.24.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:31:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-06-22 05:44:41 EDT
To reproduce:

1. Install cspclient 0.24.8
2. Run once to generate config file
3. Open config file, uncomment default=production
4. Run "csprocessor list"

Result:

[root@localhost books]# csprocessor list
CSProcessor client version: 0.24.8
Loading configuration from /root/.config/csprocessor.ini
Connecting to Skynet server: http://skynet.cloud.lab.eng.bne.redhat.com:8080/TopicIndex/

ERROR: Cannot connect to the server, as the server address can't be resolved.





The csprocessor self-generated config file has: 

# Production Server settings
production.url=http://skynet.cloud.lab.eng.bne.redhat.com:8080/TopicIndex/
production.username=

# Test Server settings
test.url=http://skynet.usersys.redhat.com:8080/TopicIndex/
test.username=


According to https://docspace.corp.redhat.com/docs/DOC-89149

"Production Server Details
...
DDNS: skynet.usersys.redhat.com"



==============================
Generated Details:

Package: cspclient-0.24.8-1.noarch

OS: Fedora release 16 (Verne)

JAVA: java version "1.7.0"
Java(TM) SE Runtime Environment (build 1.7.0-b147)
Java HotSpot(TM) Client VM (build 21.0-b17, mixed mode, sharing)
Comment 1 Lee Newson 2012-06-24 18:34:07 EDT
Oops, fixed. I had fixed the setup command but not the automated csprocessor template. I've also made them into the one constant now so that won't happen again.
Comment 2 Lee Newson 2012-06-26 03:42:56 EDT
Released as part of 0.24.9
Comment 3 Lee Newson 2013-06-06 21:31:10 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.